<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between" style="background-color: #5a0404;">
        <h6 class="m-0 font-weight-bold text-white"><i class="fa fa-trash"></i> Arsip Berita</h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
        </div>
    </div>
    <div class="card-body">
        <table class="table table-striped table-bordered dt-responsive" width="100%" id="table-list">
            <thead class="bg-danger text-white">
                <tr>
                    <th scope="col" class="text-center">No</th>
                    <th>Thumbnail</th>
                    <th>Tanggal</th>
                    <th scope="col" class="text-center">Judul</th>
                    <th scope="col" class="text-center">Kategori</th>
                    <th scope="col" class="text-center">Aksi</th>
                </tr>
            </thead>
            <tbody>
                {% for archive in archives %}
                    <tr>
                        <td>{{ forloop.counter }}</td>
                        <td><img src="{{ archive.thumbnail.url }}" class="img-fluid card-img-top" style="width: 100px;"></td>
                        <td>{{ archive.created_at }}</td>
                        <td>{{ archive.title | truncatewords:10 }}</td>
                        <td>{{ archive.category }}</td>
                        <td>
                            <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                <a class="btn btn-info btn-circle mr-3 mb-2" 
                                    href="{% url 'profile:admin_news_detail' slug=archive.slug %}"
                                    data-toggle="tooltip" data-placement="top" title="Detail">
                                    <i class="bi bi-info-lg"></i>
                                </a>
                                <a class="btn btn-success btn-circle mr-3 mb-2" 
                                    href="{% url 'profile:admin_news_edit' slug=archive.slug %}"
                                    data-toggle="tooltip" data-placement="top" title="Edit">
                                    <i class="bi bi-pencil"></i>
                                </a>
                                {% if archive.deleted_at %}
                                    <button class="btn btn-warning btn-circle mr-3 mb-2" 
                                        onclick="restore_(`{{ archive.title }}`, '{{ archive.slug }}', 'news', 'Berita')"
                                        data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                        <i class="bi bi-arrow-counterclockwise"></i>
                                    </button>
                                    {% if user.is_staff %}
                                        <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                            onclick="delete_('permanent_delete', `{{ archive.title }}`, '{{ archive.slug }}', 'news', 'Berita')"
                                            data-toggle="tooltip" data-placement="top" title="Hapus">
                                            <i class="bi bi-trash"></i>
                                        </button>
                                    {% endif %}
                                {% else %}
                                    <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ archive.title }}`, '{{ archive.slug }}', 'news', 'Berita')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                        <i class="bi bi-archive"></i>
                                    </button>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</div>